CVE-2006-1960
CVSS5.8
发布时间 :2006-04-21 06:02:00
修订时间 :2011-03-07 21:34:42
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in the appliance web user interface in Cisco CiscoWorks Wireless LAN Solution Engine (WLSE) and WLSE Express before 2.13 allows remote attackers to inject arbitrary web script or HTML, possibly via the displayMsg parameter to archiveApplyDisplay.jsp, aka bug ID CSCsc01095.


[CNNVD]Cisco WLSE archiveApplyDisplay.jsp跨站脚本漏洞(CNNVD-200604-405)

        CiscoWorks WLSE是集中的系统级应用程序,用于管理和控制整个自治Cisco WLAN基础架构。
        CiscoWorks WLSE配置管理脚本的实现上存在漏洞,攻击者可能利用此漏洞获取敏感信息。
        WLSE设备中/wlse/configure/archive/archiveApplyDisplay.jsp的"displayMsg"参数可导致跨站脚本漏洞。攻击者可以利用这个漏洞窃取JSP会话cookie,然后结合其他漏洞获得对系统的管理级访问。

- CVSS (基础分值)

CVSS分值: 5.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:cisco:wireless_lan_solution_engine:2.9::express
cpe:/a:cisco:wireless_lan_solution_engine:2.8Cisco Wireless LAN Solution Engine 2.8
cpe:/a:cisco:wireless_lan_solution_engine:2.13Cisco Wireless LAN Solution Engine 2.13
cpe:/a:cisco:wireless_lan_solution_engine:2.4Cisco Wireless LAN Solution Engine 2.4
cpe:/a:cisco:wireless_lan_solution_engine:2.6::express
cpe:/a:cisco:wireless_lan_solution_engine:2.8::express
cpe:/a:cisco:wireless_lan_solution_engine:2.1::express
cpe:/a:cisco:wireless_lan_solution_engine:2.0::express
cpe:/a:cisco:wireless_lan_solution_engine:2.2::express
cpe:/a:cisco:wireless_lan_solution_engine:2.7::express
cpe:/a:cisco:wireless_lan_solution_engine:2.13::express
cpe:/a:cisco:wireless_lan_solution_engine:2.5Cisco Wireless LAN Solution Engine 2.5
cpe:/a:cisco:wireless_lan_solution_engine:2.11Cisco Wireless LAN Solution Engine 2.11
cpe:/a:cisco:wireless_lan_solution_engine:2.0Cisco Wireless LAN Solution Engine 2.0
cpe:/a:cisco:wireless_lan_solution_engine:2.3Cisco Wireless LAN Solution Engine 2.3
cpe:/a:cisco:wireless_lan_solution_engine:2.9Cisco Wireless LAN Solution Engine 2.9
cpe:/a:cisco:wireless_lan_solution_engine:2.5::express
cpe:/a:cisco:wireless_lan_solution_engine:2.12::express
cpe:/a:cisco:wireless_lan_solution_engine:2.4::express
cpe:/a:cisco:wireless_lan_solution_engine:2.2Cisco Wireless LAN Solution Engine 2.2
cpe:/a:cisco:wireless_lan_solution_engine:2.7Cisco Wireless LAN Solution Engine 2.7
cpe:/a:cisco:wireless_lan_solution_engine:2.1Cisco Wireless LAN Solution Engine 2.1
cpe:/a:cisco:wireless_lan_solution_engine:2.6Cisco Wireless LAN Solution Engine 2.6
cpe:/a:cisco:wireless_lan_solution_engine:2.10::express
cpe:/a:cisco:wireless_lan_solution_engine:2.12Cisco Wireless LAN Solution Engine 2.12
cpe:/a:cisco:wireless_lan_solution_engine:2.3::express
cpe:/a:cisco:wireless_lan_solution_engine:2.11::express
cpe:/a:cisco:wireless_lan_solution_engine:2.10Cisco Wireless LAN Solution Engine 2.10

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1960
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1960
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-405
(官方数据源) CNNVD

- 其它链接及资源

http://www.cisco.com/warp/public/707/cisco-sa-20060419-wlse.shtml
(PATCH)  CISCO  20060419 Multiple Vulnerabilities in the WLSE Appliance
http://securitytracker.com/id?1015965
(PATCH)  SECTRACK  1015965
http://secunia.com/advisories/19736
(VENDOR_ADVISORY)  SECUNIA  19736
http://www.vupen.com/english/advisories/2006/1434
(UNKNOWN)  VUPEN  ADV-2006-1434
http://xforce.iss.net/xforce/xfdb/25883
(UNKNOWN)  XF  cisco-wlse-user-xss(25883)
http://www.securityfocus.com/bid/17604
(UNKNOWN)  BID  17604
http://www.securityfocus.com/archive/1/archive/1/431371/30/5490/threaded
(UNKNOWN)  BUGTRAQ  20060419 Multiple vulnerabilities in Linux based Cisco products
http://www.securityfocus.com/archive/1/archive/1/431367/30/5490/threaded
(UNKNOWN)  BUGTRAQ  20060419 Re: Multiple vulnerabilities in Linux based Cisco products
http://www.osvdb.org/24812
(UNKNOWN)  OSVDB  24812
http://www.assurance.com.au/advisories/200604-cisco.txt
(UNKNOWN)  MISC  http://www.assurance.com.au/advisories/200604-cisco.txt

- 漏洞信息

Cisco WLSE archiveApplyDisplay.jsp跨站脚本漏洞
中危 跨站脚本
2006-04-21 00:00:00 2006-04-25 00:00:00
远程  
        CiscoWorks WLSE是集中的系统级应用程序,用于管理和控制整个自治Cisco WLAN基础架构。
        CiscoWorks WLSE配置管理脚本的实现上存在漏洞,攻击者可能利用此漏洞获取敏感信息。
        WLSE设备中/wlse/configure/archive/archiveApplyDisplay.jsp的"displayMsg"参数可导致跨站脚本漏洞。攻击者可以利用这个漏洞窃取JSP会话cookie,然后结合其他漏洞获得对系统的管理级访问。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.cisco.com/warp/public/707/cisco-sa-20060419-wlse.shtml
        http://www.cisco.com/cgi-bin/tablebuild.pl/wlan-sol-eng

- 漏洞信息

24812
CiscoWorks WLSE archiveApplyDisplay.jsp displayMsg Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Cisco Wireless LAN Solution Engine contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the displayMsg variable upon submission to the archiveApplyDisplay.jsp script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-04-19 2005-12-30
2006-04-19 Unknow

- 解决方案

Upgrade to version 2.13 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站